Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::NameConstraints Class Reference

Name Constraints. More...

`#include <name_constraint.h>`

## Public Member Functions
const std::vector< GeneralSubtree > & | excluded () const
| NameConstraints ()
| NameConstraints (std::vector< GeneralSubtree > &&permitted_subtrees, std::vector< GeneralSubtree > &&excluded_subtrees)
const std::vector< GeneralSubtree > & | permitted () const

## Detailed Description

Name Constraints.

Wraps the Name Constraints associated with a certificate.

Definition at line 144 of file name_constraint.h.

## Constructor & Destructor Documentation

Botan::NameConstraints::NameConstraints | ( |  | ) |
| inline

Creates an empty name NameConstraints.

Definition at line 150 of file name_constraint.h.

150 : m_permitted_subtrees(), m_excluded_subtrees() {}

Botan::NameConstraints::NameConstraints | ( | std::vector< GeneralSubtree > && | permitted_subtrees,
|  | std::vector< GeneralSubtree > && | excluded_subtrees
| ) |  |
| inline

Creates NameConstraints from a list of permitted and excluded subtrees.

Parameters

  permitted_subtrees | names for which the certificate is permitted
  excluded_subtrees | names for which the certificate is not permitted

Definition at line 157 of file name_constraint.h.

159 : m_permitted_subtrees(permitted_subtrees), m_excluded_subtrees(excluded_subtrees)
160 {}

## Member Function Documentation

const std::vector<GeneralSubtree>& Botan::NameConstraints::excluded | ( |  | ) | const
| inline

Returns
  excluded names

Definition at line 170 of file name_constraint.h.

Referenced by Botan::X509_Certificate::to_string(), and Botan::Cert_Extension::Name_Constraints::validate().

170 { return m_excluded_subtrees; }

const std::vector<GeneralSubtree>& Botan::NameConstraints::permitted | ( |  | ) | const
| inline

Returns
  permitted names

Definition at line 165 of file name_constraint.h.

Referenced by Botan::X509_Certificate::to_string(), and Botan::Cert_Extension::Name_Constraints::validate().

165 { return m_permitted_subtrees; }

The documentation for this class was generated from the following file:

- src/lib/x509/name_constraint.h